Outstanding add-on Rated 5 out of 5 stars

This is an outstanding MUST have extension.

Doclucas, why on earth would you state that it's an excellent add-on, and then give it 1 star when it CLEARLY states that it's only compatible up to 3.0a1 ? Do you think that your poor excuse for reading the obvious will give incentive for the author to put in his time when you degrade his work? Next time READ, and if you don't like, then edit the install.rdf yourself.